<template>
  <div class="homepage">
    {{ $t('noep.test.home') }}
    <div>阿里巴巴普惠体-NO</div>
    <div class="ph">阿里巴巴普惠体-B</div>
    <div class="ph1">阿里巴巴普惠体-M</div>
    <div class="ph2">阿里巴巴普惠体-R</div>
  </div>
</template>

<script setup>
function getClientIP(onNewIP) {
  let MyPeerConnection = window.RTCPeerConnection || window.mozRTCPeerConnection || window.webkitRTCPeerConnection;
  let pc = new MyPeerConnection({
    iceServers: []
  });
  let noop = () => {
  };
  let localIPs = {};
  let ipRegex = /([0-9]{1,3}(\.[0-9]{1,3}){3}|[a-f0-9]{1,4}(:[a-f0-9]{1,4}){7})/g;
  let iterateIP = (ip) => {
    if (!localIPs[ip]) onNewIP(ip);
    localIPs[ip] = true;
  };
  pc.createDataChannel('');
  pc.createOffer().then((sdp) => {
    sdp.sdp.split('\n').forEach(function (line) {
      if (line.indexOf('candidate') < 0) return;
      line.match(ipRegex).forEach(iterateIP);
    });
    pc.setLocalDescription(sdp, noop, noop);
  }).catch((reason) => {
  });
  pc.onicecandidate = (ice) => {
    if (!ice || !ice.candidate || !ice.candidate.candidate || !ice.candidate.candidate.match(ipRegex)) return;
    ice.candidate.candidate.match(ipRegex).forEach(iterateIP);
  };
}


let config = {
  headers:{

  }
};

// try {
//       getClientIP((ip) => {
//         config.headers['X-Forwarded-For'] = ip;
//         config.headers['X-Real-Ip'] = ip;
//       });
//         console.log(config)
//     } catch (ex) {
//       console.log(ex);
//     }
</script>

<style lang='scss' scoped>
.homepage {
  // color:red;
  // background: orange;
  height: 1000px;
  font-size: 28px;
}
.ph {
  font-family: 'Alibaba PuHuiTi B';
}
.ph1 {
  font-family: 'Alibaba PuHuiTi M';
}
.ph2 {
  font-family: 'Alibaba PuHuiTi R';
}
</style>